%define anolis_release 1

%define libsolv_version 0.7.21
%define libmodulemd_version 2.13.0
%define librepo_version 1.13.1
%global dnf_conflict 4.11.0


Name:           libdnf
Version:        0.68.0
Release:        %{anolis_release}%{?dist}
Summary:        Library providing simplified C and Python API to libsolv

License:        LBPLv2+
URL:            https://github.com/rpm-software-management/libdnf
Source0:        https://github.com/rpm-software-management/libdnf/archive/refs/tags/%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libsolv-devel >= %{libsolv_version}
BuildRequires:  pkgconfig(librepo) >= %{librepo_version}
BuildRequires:  pkgconfig(check)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(gtk-doc)
BuildRequires:  rpm-devel
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(cppunit)
BuildRequires:  pkgconfig(libcrypto)
BuildRequires:  pkgconfig(modulemd-2.0) >= %{libmodulemd_version}
BuildRequires:  pkgconfig(smartcols)
BuildRequires:  gettext
BuildRequires:  gpgme-devel

Requires:       libmodulemd >= %{libmodulemd_version}
Requires:       libsolv >= %{libsolv_version}
Requires:       librepo >= %{librepo_version}

%description
A Library providing simplified C and Python API to libsolv.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       libsolv-devel >= %{libsolv_version}

%description devel
Development files for %{name}.

%package -n python3-%{name}
%{?python_provide:%python_provide python3-%{name}}
Summary:        Python 3 bindings for the libdnf library.
Requires:       %{name} = %{version}-%{release}
BuildRequires:  python3-devel
BuildRequires:  python3-sphinx
BuildRequires:  swig

%description -n python3-%{name}
python 3 bindings for the libdnf library.

%package -n python3-hawkey
Summary:        Python 3 bindings for the hawkey library
%{?python_provide:%python_provide python3-hawkey}
BuildRequires:  python3-devel
Requires:       %{name} = %{version}-%{release}
Requires:       python3-%{name} = %{version}-%{release}
Conflicts:      python3-dnf < %{dnf_conflict}

%description -n python3-hawkey
Python 3 bindings for the hawkey library.

%prep
%autosetup -p1
mkdir build-py3

%build
%define __cmake_in_source_build 1
pushd build-py3
  %cmake -DPYTHON_DESIRED:FILEPATH=%{__python3} -DWITH_MAN=0 ../ \
    -DWITH_ZCHUNK=OFF -DDISABLE_VALGRIND=1 -DWITH_SANTIZERS=OFF
  %cmake_build
popd

%check
pushd build-py3
  make ARGS="-V" test
popd

%install
pushd build-py3
  %cmake_install
popd

%generate_compatibility_deps

%find_lang %{name}

%files -f %{name}.lang
%dir %{abidir}
%license COPYING
%{_libdir}/%{name}.so.*
%{abidir}/%{name}.dump
%dir %{_libdir}/libdnf/
%dir %{_libdir}/libdnf/plugins/
%{_libdir}/libdnf/plugins/README

%files doc
%doc README.md AUTHORS

%files devel
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/%{name}/

%files -n python3-%{name}
%{abidir}/_*.dump
%{python3_sitearch}/%{name}/

%files -n python3-hawkey
%{python3_sitearch}/hawkey/

%changelog
* Mon Feb 13 2023 yuanhui <yuanhui@linux.alibaba.com> - 0.68.0-1
- update to 0.68.0

* Tue Oct 25 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.65.0-2
- optimise spec file & add doc package

* Fri Mar 04 2022 Su Lifan <su-lifan@linux.alibaba.com> - 0.65.0-1
- Initial packaging for Anolis OS 23
